var admin = db.getSiblingDB('admin')
var serverStatus = admin.serverStatus()
var label_port= "port=\"" + admin.getMongo().host.split(':')[1] + "\""

var metrics = {}

metrics["mongos_up{" + label_port +"}"] = 1
metrics["mongos_uptime_in_seconds{" + label_port +"}"] = serverStatus.uptime
metrics["mongos_network_bytesIn{" + label_port +"}"] = serverStatus.network.bytesIn.floatApprox
metrics["mongos_network_bytesOut{" + label_port +"}"]= serverStatus.network.bytesOut.floatApprox

metrics["mongos_page_faults_total{" + label_port +"}"] = Number(serverStatus.extra_info.page_faults)

metrics["mongos_connections{" + label_port + ",state=\"current\"}"] = serverStatus.connections.current
metrics["mongos_connections{" + label_port + ",state=\"available\"}"] = serverStatus.connections.available
metrics["mongos_connections{" + label_port + ",state=\"totalCreated\"}"] = serverStatus.connections.totalCreated

metrics["mongos_memory_resident_mb{" + label_port + ",state=\"totalCreated\"}"] = serverStatus.mem.resident
// metrics["mongos_memory_virtual{" + label_port + ",state=\"totalCreated\"}"] = serverStatus.mem.virtual

metrics["mongos_command_total{" + label_port + ",command=\"total\"}"] = Number(serverStatus.opcounters.command)
metrics["mongos_command_total{" + label_port + ",command=\"insert\"}"] = Number(serverStatus.opcounters.insert)
metrics["mongos_command_total{" + label_port + ",command=\"query\"}"] = Number(serverStatus.opcounters.query)
metrics["mongos_command_total{" + label_port + ",command=\"update\"}"] = Number(serverStatus.opcounters.update)
metrics["mongos_command_total{" + label_port + ",command=\"delete\"}"] = Number(serverStatus.opcounters.delete)

for (k in metrics){
    print(k, metrics[k])
}
